var KeyWords = $("#KeyWords").val();
var starttime = $("#startTime").val();
var endtime = $("#endTime").val();
var hcstate = $("#selhjstate").val();
var hfstate = $("#selhfstate").val();
var jtstate = $("#seljtstate").val();
var hjjg = $("#selhjjg").val();
var hffl = $("#hffl").val();
var phone;
var Ly;
var Lys;
var $tableLeft = $('#tbResult');
var $tableLeft1 = $('#Result');
var $tableLeft2 = $('#thjl_tabs');
var $tableLeft3 = $('#hfjl');
var token = $.cookie("token");
$(document).ready(function() {
	Finish();
	GetHJJG();
	GetHFFL();
});
//责任人
	$.getJSON(huayi.config.callcenter_url + "UserAccount/GetSeatList", {
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			seatlist = result.data;
			bindseat($("#zrUser"));
		}
	});
	function bindseat(obj) {
				obj.empty();
				obj.append('<option value="">全部</option>');
				$(seatlist).each(function(i, n) {
					obj.append('<option value="' + n.F_UserCode + '">' + n.F_UserName + '</option>');
				})
			}


/*通用ajax*/
function Finish() {
	//销毁表格
	$tableLeft.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "DXTel/GetResultList",
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize:5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				hcstate: $("#selhjstate").val(), //呼叫状态
				hfstate: $('#selhfstate').val(), //回访状态
				starttime: $("#startTime").val(),//开始时间
				endtime: $("#endTime").val(),//结束时间
				jtstate: $("#seljtstate").val(),//接通状态
				hjjg: $("#selhjjg").val(),//呼叫结果
				hffl: $("#hffl").val(),//回访分类
				key: $("#KeyWords").val(),//电话号码
				type:1,
				zruser:$('#zrUser').find("option:selected").text(),//责任人
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//分配状态
function GetfpStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未分配";
			break;
		case 'true':
			str = "已分配";
			break;
	}
	return str;
}
//呼叫状态
function GethjStateName(val) {
    var str = '';
    switch (val + '') {
        case '0':
            str = "未呼叫";
            break;
        case '1':
            str = "已呼叫";
            break;
    }
    return str;
}
function hjStateName(val) {
    var str = '';
    switch (val + '') {
        case 'true':
            str = "未呼叫";
            break;
        case 'false':
            str = "已呼叫";
            break;
    }
    return str;
}
//接通状态
function GetjtStateName(val) {
    var str = '';
    switch (val + '') {
        case '0':
            str = "未接通";
            break;
        case '1':
            str = "已接通";
            break;
    }
    return str;
}
function jtStateName(val) {
    var str = '';
    switch (val + '') {
        case 'true':
            str = "未接通";
            break;
        case 'false':
            str = "已接通";
            break;
    }
    return str;
}
//回访状态
function GethfStateName(val) {
    var str = '';
    switch (val + '') {
        case '0':
            str = "未回访";
            break;
        case '1':
            str = "已回访";
            break;
    }
    return str;
}
//通话记录
function TelIDs(val) {
	return '<div class="looks"  onclick= cl(' + val + ')>查看' +
		'</div>'
}
//电话
function CusTelphone(val,row) {
    return '<div class="imgs" onclick= ck(' + row.F_DVNID + ')>' +
		'<img src="../img/vice.png" />' + val + '' +
		'</div>';
}
//序号
function Pai(value, row, index) {
	return index + 1;
}
//限制字符串长度
function cutContent(val) {
				 if (val) {
                var str = '<div '
                if (val.length > 3) {
                    str = str + ' title="' + val + '" ';
                    val = val.substr(0, 3) + "...";
                }
                return str + '>' + val + '</div>';
            }
            else {
                return '';
            }
			}
//搜索
$(".searchGo").click(function() {
	KeyWords = $("#KeyWords").val();
	starttime = $("#startTime").val();
	endtime = $("#endTime").val();
	Finish(KeyWords, starttime, endtime);
});

//获取呼叫结果
function GetHJJG() {
    $.ajax({
        type: "get",
        url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
        dataType: 'json',
        data: {
            flag: 'HJJG',
            token: token
        },
        async: true,
        success: function (data) {
            var Count = data.data;
            $("<option value=''>--全部--</option>").appendTo($("#selhjjg"));
            for (var i = 0; i < Count.length; i++) {
                //				console.log(Count[i].F_UserName);
                $("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#selhjjg"));
                //				$('<li class="radio"><label><input type="radio" name="check" value="' + Count[i].F_DictionaryValueId + '" />" '+ Count[i].F_Name + '"</label></li>').
                //				appendTo($("#Tgetruset"));
            }
        }
    });
}

//获取回访分类
function GetHFFL() {
    $.ajax({
        type: "get",
        url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
        dataType: 'json',
        data: {
            flag: 'DXHFKHFL',
            token: token
        },
        async: true,
        success: function (data) {
            var Count = data.data;
            $("<option value=''>--全部--</option>").appendTo($("#hffl"));
            for (var i = 0; i < Count.length; i++) {
                $("<option value='" + Count[i].F_Name + "'>" + Count[i].F_Name + "</option>").appendTo($("#hffl"));
            }
        }
    });
}

//关闭阴影
$(".setwin").click(function() {
	$(".shark").hide();
});
//点击弹窗
function ck(str) {
	$(".shark").show();
	$(".thjl").addClass("yc");
	$(".phone_message").removeClass("yc");
	$(".phoneid").val(str);
	Hvisit();
	GetList();
}
//通话记录弹屏
function cl(id) {
	$(".shark").show();
	$(".phone_message").addClass("yc");
	$(".thjl").removeClass("yc");
	$(".phoneid").val(id);
	Thju();
}
////点击每行获取详情
//$('#tbResult').on("click-row.bs.table", function(e, row, ele) {
//	TelID = row.F_TelID;
//	console.log(TelID);
//	Hvisit(TelID);
//	Thju(TelID);
//	$(".phoneid").val(TelID);
//});
//回访详情
function Hvisit(str) {
	$.ajax({
		type: "get",
		url:  huayi.config.callcenter_url +"hfOpt/GetInfo",
		dataType: 'json',
		async: true,
		data: {
			telid: $(".phoneid").val(),
			token: token,
			type:1
			//回访电话ID
		},
		success: function(data) {
			var content = data.data;
			console.log(content);
			$(".SerialNo").text(content.F_SerialNo);//序号
			$(".InfoDode").text(content.F_InfoDode);//信息编号
			$(".CusTelphone").text(content.F_MobilePhone);//手机号码
			$(".CusPhone").text(content.F_Telphone);//固定电话
			$(".CusName").text(content.F_ownerName);//车主姓名
			$(".License").text(content.F_License);//车牌号
			$(".Brand").text(content.F_brand);//品牌
			$(".Models").text(content.F_CarType);//车型
			$(".series").text(content.F_series);//车系
			$(".owner").text(content.F_ownerships);//归属人
			$(".Store").text(content.F_isInto);//是否进店
			$(".intointent").text(content.F_intointent);//进店意向程度
			$(".usePlace").text(content.F_usePlace);//使用地
			$(".ReportRemark").text(content.F_ReportRemark);//报备备注
			$(".khInfor").text(content.F_khInfor);//客户提供信息
			$(".GroupName").text(content.F_GroupName);//集团名称
			$(".khType").text(content.F_khType);//客户类别
			$(".ReportUser").text(content.F_ReportUser);//报备人
			$(".ownerships2").text(content.F_ownerships2);//归属人2
			$(".ReportTime").text(content.F_ReportTime);//报备时间
			$(".PerfectRat").text(content.F_PerfectRate);//信息完善率
			$(".infoState").text(content.F_infoState);//信息状态
			$(".aging").text(content.F_aging);//跟进时效
			$(".hjjg_").val(content.F_CallRes);//呼叫结果
		}
	});
}

//通话记录
function Thju(id) {
	//销毁表格
	$tableLeft2.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft2.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "DXRecords/GetTelList",
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				telid: $(".phoneid").val(),
				phone: $("#th_phone").val(),
	          	token: token,
	          	type:1
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//音频
function setCode(val) {
	if(val == "") {
		return '<div class="imgs vice">' +
			'</div>';
	} else {
		return '<div class="vices" onclick= vice("' + val + '")>' +
			'<img src="../img/vice.png" alt=""  />' +
			'</div>';
	}

}
//方向呼出
function callType(val) {
	return '<div class="imgs">呼出' +
		'</div>';

}

function states(val) {
	if(val == 0) {
		return '<div class="imgs">未接通' +
			'</div>';
	} else {
		return '<div class="imgs">已接通' +
			'</div>';
	}

}
//回访
function dealType(val) {
	if(val == 1) {
		return '<div >已回访' +
			'</div>';
	} else {
		return '<div >未回访' +
			'</div>';
	}

}
//处理
function isDeal(val) {
	if(val == 0) {
		return '<div >未处理' +
			'</div>';
	} else {
		return '<div >已处理' +
			'</div>';
	}

}
//录音
function vice(val) {
	Ly = val;
	$(".shade_ks").removeClass("yc");
	Lys = Ly;
	$(".Ly_box").html("");
	$('<audio class=" " src="' + Lys + '" loop="loop"></audio>').appendTo(".Ly_box");
	audiojs.events.ready(function() {
		var as = audiojs.createAll();
	});

}
//搜索
$(".thjl_s").click(function() {
	phone= $("#th_phone").val();
	Thju(phone);
})
//
$(".setwins").click(function() {
	$(".shade_ks").addClass("yc");
})

//回访记录
 function GetList(str){
 	//销毁表格
	$tableLeft3.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft3.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url:   huayi.config.callcenter_url+"DXRecords/GetList",
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		sidePagination: "server", //表示服务端请求
		fixedColumns: true,
		fixedNumber: 5,
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				telid:$(".phoneid").val(),
				type:1,
				token: token
			};
			return param;
		},
		onLoadSuccess: function(data) { //加载成功时执行
			//								layer.msg("加载成功");
			console.log(data);
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
 }
 
 //关闭 
 function Close(){
 	$(".shark").hide();
	$(".phone_message").addClass("yc");
 }
 //导出
$('.export').click(function() {
	dcexcel(this);
})

function dcexcel(obj) {
	var url = huayi.config.callcenter_url + "DXTel/GetResultExpt?token=" + token;
	url += "&key=" + $("#KeyWords").val() +
			"&hcstate=" + $("#selhjstate").val() +
			"&hfstate=" + $("#selhfstate").val() +
			"&starttime=" + $("#startTime").val() +
			"&endtime=" + $("#endTime").val() +
			"&jtstate=" + $("#seljtstate").val() +
			"&type=" + '1' +
			"&hjjg=" + $("#selhjjg").val() +
	        "&hffl=" + $("#hffl").val() +
            "&zruser=" + $('#zrUser').find("option:selected").text();//责任人
	obj.href = url;
}

